#       toto.rb
# 		Copyright 2011 adebeo <info@adebeo.com>
require 'sketchup.rb'

def toto ()
	prompts = ["longueur", "Largeur", "Rayon","epaisseur"]
	defaults = [1.m, 1.m, 25.cm, 2.cm]
	list = ["", "", "", ""]
	inputtoto = UI.inputbox prompts, defaults, list, "info"
	longueur = inputtoto[0]
	largeur = inputtoto[1] 
	rayon = inputtoto[2] 
	epaisseur = inputtoto[3]
	model = Sketchup.active_model
	entities = model.active_entities
	group = entities.add_group
	group.name = "toto"
	centerpoint = Geom::Point3d.new
	vector = Geom::Vector3d.new 0,1,0
	vector2 = Geom::Vector3d.new 0,0,1
	vector3 = vector.normalize!
	edges = group.entities.add_arc centerpoint, vector2, vector3, rayon, 0, 3.141592/2, 24
	pt0 = edges.last.end.position
	pt1 = Geom::Point3d.new (longueur,0,0)
	pt2 = Geom::Point3d.new (longueur,0,largeur)
	pt3 = Geom::Point3d.new (0,0,largeur)
	pt4 = edges.first.start.position
	line0 = group.entities.add_line pt0,pt1
	line1 = group.entities.add_line pt1,pt2
	line2 = group.entities.add_line pt2,pt3
	line3 = group.entities.add_line pt3,pt4
	edgesarray = edges + [line0,line1,line2,line3]
	face = group.entities.add_face(edgesarray)
	status = face.pushpull epaisseur, true
end

if not file_loaded?("toto.rb")
	cmdtoto = UI::Command.new("toto"){ toto }
	cmdtoto.tooltip = "toto"
	cmdtoto.menu_text = "toto"
	cmdtoto.small_icon = "AdebeoIcon/toto.png"
	cmdtoto.large_icon = "AdebeoIcon/toto.png"
	
	toolbar = UI::Toolbar.new "toto"
	toolbar = toolbar.add_item cmdtoto

end
file_loaded("toto.rb")